# AS\_NON\_NULLABLE

```
AS_NON_NULLABLE(expr)
```

Returns the provided value with its type changed from the original type to its non-nullable version.

Available in:

| Processors | SQL Studio |
| ---------- | ---------- |
| ✓          | ✓          |

*using case:*

```sql
USE `kafka`;
SELECT 
CASE
       WHEN modified_at IS NULL THEN 0
       ELSE AS_NON_NULLABLE(modified_at)
END AS null_value FROM users-events
LIMIT 5;

```

*Output:*

```json
{
  "value": {
    "null_value": "2023-11-07T05:27:04.740600"
  }
}
{
  "value": {
    "null_value": "2023-11-04T07:46:57.045631"
  }
}
{
  "value": {
    "null_value": 0
  }
}
{
  "value": {
    "null_value": 0
  }
}
{
  "value": {
    "null_value": 0
  }
}
```

In case you want to know more about nullability scenarios, see [`here`](/latest/devx/6.1/user-guide/applications/sql-processors/nullibility.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lenses.io/latest/devx/6.1/user-guide/sql-reference/functions/nulls/as_non_nullable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
